Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.extending
Interface AlphaNumericSequencerExtension

public interface AlphaNumericSequencerExtension
extends AlphaNumericSequencer

     Primary Key = examples.extending.AlphaNumericSequencerExtensionPk

See Also:
  `AlphaNumericSequencerExtensionPk`, `AlphaNumericSequencerExtensionHome`, `AlphaNumericSequencerExtensionImpl`, `AlphaNumericSequencerExtensionValue`

Method Summary
`AlphaNumericSequencerExtensionValue` | `getAlphaNumericSequencerExtensionByValue()` Get all of AlphaNumericSequencerExtension's attributes.
`java.lang.String` | `getValue()` This method returns the CURRENT value of the AlphaNumericSequencer.
`void` | `setAlphaNumericSequencerExtensionByValue(AlphaNumericSequencerExtensionValue value)` Set all of AlphaNumericSequencerExtension's attributes to the passed in value.

Methods inherited from interface theory.smart.axiom.util.AlphaNumericSequencer
`getAlphaNumericSequencerByValue, getCounter, getIdentifier, getNextValue, getNumDigits, getPrefix, getStep, getSuffix, initialize, setAlphaNumericSequencerByValue, setCounter, setNumDigits, setPrefix, setStep, setSuffix`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getAlphaNumericSequencerExtensionByValue

    public AlphaNumericSequencerExtensionValue getAlphaNumericSequencerExtensionByValue()
                                                                                 throws java.rmi.RemoteException

  Get all of AlphaNumericSequencerExtension's attributes.
  Returns:
    AlphaNumericSequencerExtensionValue the AlphaNumericSequencerExtension value object

### setAlphaNumericSequencerExtensionByValue

    public void setAlphaNumericSequencerExtensionByValue(AlphaNumericSequencerExtensionValue value)
                                                  throws java.rmi.RemoteException

  Set all of AlphaNumericSequencerExtension's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `AlphaNumericSequencerExtensionValue` - the AlphaNumericSequencerExtension value object

### getValue

    public java.lang.String getValue()
                              throws java.rmi.RemoteException

  Description copied from interface: AlphaNumericSequencer
  This method returns the CURRENT value of the AlphaNumericSequencer.
  Specified by:
    getValue in interface AlphaNumericSequencer
  Tags copied from interface: AlphaNumericSequencer
  See Also:
    `AlphaNumericSequencer.getNextValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.